org.apache.pdfbox.pdmodel.interactive.action

## Enum OpenMode

- java.lang.Object
- - java.lang.Enum<OpenMode>
  - - org.apache.pdfbox.pdmodel.interactive.action.OpenMode

All Implemented Interfaces:
  Serializable, Comparable<OpenMode>

    public enum OpenMode
    extends Enum<OpenMode>

This will specify whether to open the destination document in a new window.

Author:
  Tilman Hausherr

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NEW_WINDOW` Open the destination document in a new window.
`SAME_WINDOW` Destination document will replace the current document in the same window.
`USER_PREFERENCE` The viewer application should behave in accordance with the current user preference.

### Method Summary

All Methods Static Methods Concrete Methods
`static OpenMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OpenMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### USER_PREFERENCE

    public static final OpenMode USER_PREFERENCE

The viewer application should behave in accordance with the current user preference.

#### SAME_WINDOW

    public static final OpenMode SAME_WINDOW

Destination document will replace the current document in the same window.

#### NEW_WINDOW

    public static final OpenMode NEW_WINDOW

Open the destination document in a new window.

### Method Detail

#### values

    public static OpenMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OpenMode c : OpenMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OpenMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null